- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
log10
Complete List of ArrayFire Functions ArrayFire Functions by Category » Mathematical functions » | Exponential and logarithmic functions

logarithm base 10 More...

## Functions
AFAPI array | log10 (const array &in)
| C++ Interface for logarithm base 10. More...
AFAPI af_err | af_log10 (af_array *out, const af_array in)
| C Interface for logarithm base 10. More...

## Detailed Description

logarithm base 10

Note
  This function supports real inputs only. Complex inputs are not yet supported.

## Function Documentation

AFAPI af_err af_log10 | ( | af_array * | out,
|  | const af_array | in
| ) |  |

C Interface for logarithm base 10.

Parameters

  [out] | out | will contain the base 10 logarithm of `in`
  [in] | in | is input

Returns
  AF_SUCCESS if the execution completes properly

AFAPI array af::log10 | ( | const array & | in | ) |

C++ Interface for logarithm base 10.

Parameters

  [in] | in | is input

Returns
  the logarithm of input in base 10